Move service file to repo

This commit moves vpd service files to openpower-vpd-parser
repository and also install the service files in systemd
unit directory via meson.

Test works as expected.

Signed-off-by: Priyanga Ramasamy <priyanga24@in.ibm.com>
Change-Id: If0ee5f3b0cc4cc949f584d3f1cb234f31a9e0dc5
diff --git a/scripts/wait-vpd-parsers.sh b/scripts/wait-vpd-parsers.sh
new file mode 100644
index 0000000..67ba05a
--- /dev/null
+++ b/scripts/wait-vpd-parsers.sh
@@ -0,0 +1,18 @@
+#!/bin/sh
+retries=100
+echo "Checking every 2s for active VPD parsers...."
+while [ "$retries" -ne 0 ]
+do
+    sleep 2
+    systemctl -q is-active ibm-vpd-parser@*.service
+    active=$?
+    if [ $active -ne 0 ]
+    then
+        echo "Done wait for active VPD parsers. Exit success"
+        exit 0
+    fi
+    retries="$((retries - 1))"
+    echo "VPD parsers still running. Retries remaining: $retries"
+done
+echo "Exit wait for VPD services to finish with timeout"
+exit 1